Show / Hide Table of Contents

# Struct AgentContentsFinder

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AgentContentsFinder

### Fields

| Improve this Doc View Source

#### AgentInterface

##### Declaration

    public AgentInterface AgentInterface

##### Field Value

Type | Description
--- | ---
AgentInterface |

### Methods

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static AgentContentsFinder*Instance()

##### Returns

Type | Description
--- | ---
AgentContentsFinder* |

| Improve this Doc View Source

#### OpenRegularDuty(UInt32, Byte)

##### Declaration

    public void *OpenRegularDuty(uint contentsFinderCondition, byte a2 = 0)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | contentsFinderCondition |
System.Byte | a2 |

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### OpenRouletteDuty(Byte, Byte)

##### Declaration

    public void *OpenRouletteDuty(byte roulette, byte a2 = 0)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte | roulette |
System.Byte | a2 |

##### Returns

Type | Description
--- | ---
System.Void* |